# celery

异步任务的调度和处理，耗时的任务异步执行，与 RabbitMQ、Redis、Amazon SQS 中间件集成

## Usage

```
pip install celery



from celery import Celery

# 创建 Celery 应用
app = Celery('tasks', broker='redis://localhost:6379/0')

# 定义一个 Celery 任务
@app.task
def add(x, y):
    return x + y


# 调用 Celery 任务，其中4,6为add函数的参数
result = add.delay(4, 6)

# 等待任务执行完成并获取结果
print("Task ID:", result.id)
print("Task Status:", result.status)
print("Task Result:", result.get())

```